<template>
  <div
    :class="['modal fade', !hidden ? 'd-block show': '']"
    :id="identificador"
    tabindex="-1"
    :aria-labelledby="identificador + 'Label'"
    aria-hidden="true"
  >
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h1 class="modal-title fs-5" id="exampleModalLabel">{{ titulo }}</h1>
          <button
            type="button"
            class="btn-close"
            data-bs-dismiss="modal"
            aria-label="Close"
          ></button>
        </div>
        <div class="modal-body">
          <slot />
        </div>
        <div class="modal-footer">
          <button v-if="showButtonClose" type="button" :id="identificadorCerrar" class="btn btn-secondary" data-bs-dismiss="modal">
            {{ textButtonClose }}
          </button>
          <button type="button" class="btn btn-primary" @click="guardar">
            {{ textButtonSave }}
          </button>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Modal',
  emits: ['clickGuardar'],
  props: {
    hidden: {
      type: Boolean,
      default: true
    },
    titulo: {
      type: String,
      default: 'Modal title'
    },
    textButtonSave: {
      type: String,
      default: 'Save changes'
    },
    textButtonClose: {
      type: String,
      default: 'Close'
    },
    showButtonClose: {
      type: Boolean,
      default: true
    },
    identificador: {
      type: String,
      default: 'exampleModal'
    },
    identificadorCerrar: {
      type: String,
      default: 'btn-close'
    }
  },
  methods: {
    guardar() {
      this.$emit('clickGuardar')
    }
  }
}
</script>
